libc6-dev-armhf:armel contains '/usr/include/fpu_control.h', which is also in package libc6-dev-i386 2.13-20ubuntu5

Bug #894732 reported by Marcin Juszkiewicz on 2011-11-25
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
eglibc (Ubuntu)
Medium
Unassigned

Bug Description

13:45 root@puchatek:ci# LC_ALL=C apt-get install libc6-dev-armhf:armel
Reading package lists... Done
Building dependency tree
Reading state information... Done
Recommended packages:
  gcc-multilib:armel
The following NEW packages will be installed:
  libc6-dev-armhf:armel
0 upgraded, 1 newly installed, 0 to remove and 171 not upgraded.
13 not fully installed or removed.
Need to get 0 B/1849 kB of archives.
After this operation, 7074 kB of additional disk space will be used.
(Reading database ... 436514 files and directories currently installed.)
Unpacking libc6-dev-armhf:armel (from .../libc6-dev-armhf_2.13-20ubuntu5_armel.deb) ...
dpkg: error processing /var/cache/apt/archives/libc6-dev-armhf_2.13-20ubuntu5_armel.deb (--unpack):
 trying to overwrite '/usr/include/fpu_control.h', which is also in package libc6-dev-i386 2.13-20ubuntu5
Errors were encountered while processing:
 /var/cache/apt/archives/libc6-dev-armhf_2.13-20ubuntu5_armel.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: libc6-dev:armel 2.13-20ubuntu5
ProcVersionSignature: Ubuntu 3.2.0-1.3-generic 3.2.0-rc2
Uname: Linux 3.2.0-1-generic x86_64
ApportVersion: 1.26-0ubuntu1
Architecture: amd64
Date: Fri Nov 25 13:46:04 2011
InstallationMedia: Kubuntu 10.04 "Lucid Lynx" - Release Candidate amd64 (20100419.1)
PackageArchitecture: armel
SourcePackage: eglibc
UpgradeStatus: No upgrade log present (probably fresh install)

Marcin Juszkiewicz (hrw) wrote :
Marcin Juszkiewicz (hrw) wrote :

libc6-dev:amd64 has /usr/include/x86_64-linux/fpu_control.h
libc6-dev-i386:amd64 has symlink /usr/include/fpu_control.h -> /usr/include/x86_64-linux/fpu_control.h

libc6-dev:armel has /usr/include/arm-linux-gnueabi/fpu_control.h
libc6-dev-armhf:armel has /usr/include/fpu_control.h file which is a bug.

summary: - trying to overwrite '/usr/include/fpu_control.h', which is also in
- package libc6-dev-i386 2.13-20ubuntu5
+ libc6-dev-armhf:armel contains '/usr/include/fpu_control.h', which is
+ also in package libc6-dev-i386 2.13-20ubuntu5
Marcin Juszkiewicz (hrw) wrote :

libc6-dev-armhf:armel also has /usr/include/{bits,sys,gnu} which should not be there

tags: added: package-conflicts
Changed in eglibc (Ubuntu):
importance: Undecided → Medium
Matthias Klose (doko) wrote :

this is by design. you can avoid it by installing the multiarch packages instead.

Changed in eglibc (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers